Starmade | Cargo mass does not update correctly after over capacity bleeding
Resolved, needs quality check / confirm fix, HighPublic


Upon logging out and back in, I found all my cargo to be gone through some other bug, but (despite build mode stats not indicating it) my ship kept all its extra mass in cargo. Given the current placeholder cargo config, this rendered the ship essentially immovable.
(May be related to T922 or a similar issue)

When a stack gets dropped by the "bleed when over capacity" mechanic, the added mass of that stack doesn't get removed from the ship or if it does, not completely. The GUI shows there's no added mass but at least the ship still acts like that.


Testing Results
Affected Gamemode(s)
Single and Multi
Last tested (version)
0.19508 (Dev)
Issue Type
Control Block System: Functional
First occurrence (version)
0.19508 (Dev)
Video Card Vendor
Serverconfig (server.cfg)
<replace this line with the file content>
Clientconfig (settings.cfg)
<replace this line with the file content>
Ithirahad created this task.Dec 2 2015, 3:00 AM
Ithirahad edited Serverconfig (server.cfg). (Show Details)
Ithirahad edited Clientconfig (settings.cfg). (Show Details)
Ithirahad added a subscriber: Ithirahad.
Restricted Application added a project: Workflow Issue Navigation. · View Herald TranscriptDec 2 2015, 3:00 AM
lancake claimed this task.Dec 2 2015, 5:24 PM
lancake added a subscriber: lancake.

Yeah, after it is dropped by the "bleed when over capacity" mechanic, it doesn't remove its added mass so it stays as heavy as if it still had those blocks in chest.

lancake edited the task description. (Show Details)Dec 2 2015, 5:26 PM
lancake triaged this task as "Pre-Release Quality Assurance" priority.
lancake shifted this object from the S1 Public space to the S3 Starmade space.
lancake changed the visibility from "Custom Policy" to "Public (No Login Required)".
lancake changed the edit policy from "Task Author" to "Starmade (Project)".
lancake set Issue Type to Bug.
lancake set Category to Control Block System: Functional.
lancake set Affected Gamemode(s) to Single and Multi.
lancake set First occurrence (version) to 0.19508 (Dev).
lancake set Reproducible to Yes.
lancake set Last tested (version) to 0.19508 (Dev).
lancake set OS-Specific to No.
lancake set Hardware-Specific to No.
lancake set Video Card Vendor to uncertain.
lancake moved this task from Open / Validated to Confirmed on the Workflow Issue Navigation board.
lancake changed the task status from "Open" to "In Queue (Game)".

-Validated- & -Confirmed-

schema changed the task status from "In Queue (Game)" to "Resolved".Dec 4 2015, 2:31 PM
schema added a subscriber: schema.

from version 0.19513+

lancake lowered the priority of this task from "Pre-Release Quality Assurance" to "High".Dec 4 2015, 11:02 PM

Appears to be fixed but may need to stay open for a while just to be sure. Lowering priority

Restricted Application added a subscriber: AndyP. · View Herald TranscriptDec 4 2015, 11:02 PM
lancake changed the title from "Cargo mass does not update correctly." to "Cargo mass does not update correctly after over capacity bleeding".Jan 29 2016, 5:56 PM

Add Comment